Package com.creditcall.chipdnamobile

# Class ReceiptFieldKey

java.lang.Object
com.creditcall.chipdnamobile.ReceiptFieldKey

public class ReceiptFieldKey extends Object
This class represent the keys which are used to retrieve different `ReceiptField` objects from a `ReceiptData` object.

Author:
  Creditcall Ltd

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACQUIRER_TRANSACTION_REF`
  Key to retrieve the acquirer Transaction Reference
  `static final String`
  `AGREEMENT`
  Key to retrieve the Agreement
  `static final String`
  `APPLICATION_CRYPTOGRAM`
  Key to retrieve the Application Cryptogram
  `static final String`
  `APPLICATION_ID`
  Key to retrieve the Application ID
  `static final String`
  `APPLICATION_PREFERRED_NAME`
  Key to retrieve the application preferred name
  `static final String`
  `APPLICATION_TRANSACTION_COUNTER`
  Key to retrieve the Application Transaction Counter
  `static final String`
  `AUTH_CODE`
  Key to retrieve the auth code
  `static final String`
  `AUTH_MODE`
  Key to retrieve the Authorisation Mode
  `static final String`
  `AUTHORISATION_RESPONSE_CODE`
  Key to retrieve the Authorisation Response Code
  `static final String`
  `BATCH_NUMBER`
  Key to retrieve the Batch Number
  `static final String`
  `CARD_EASE_REFERENCE`
  Key to retrieve the card ease reference
  `static final String`
  `CARD_SCHEME`
  Key to retrieve the Card Scheme
  `static final String`
  `CVM`
  Key to retrieve the CVM (Card Verification Method)
  `static final String`
  `DATE_TIME`
  Key to retrieve the date and time
  `static final String`
  `DECLINE_CODE`
  Key to retrieve the DECLINE CODE
  `static final String`
  `DESCRIPTION`
  Key to retrieve the Description line
  `static final String`
  `EMV_TAG_50`
  Key to retrieve EMV tag 50
  `static final String`
  `EMV_TAG_5A`
  Key to retrieve EMV tag 5A
  `static final String`
  `EMV_TAG_5F2A`
  Key to retrieve EMV tag 5F2A
  `static final String`
  `EMV_TAG_5F34`
  Key to retrieve EMV tag 5F34
  `static final String`
  `EMV_TAG_82`
  Key to retrieve EMV tag 82
  `static final String`
  `EMV_TAG_84`
  Key to retrieve EMV tag 84
  `static final String`
  `EMV_TAG_95`
  Key to retrieve EMV tag 95
  `static final String`
  `EMV_TAG_9A`
  Key to retrieve EMV tag 9A
  `static final String`
  `EMV_TAG_9C`
  Key to retrieve EMV tag 9C
  `static final String`
  `EMV_TAG_9F02`
  Key to retrieve EMV tag 9F02
  `static final String`
  `EMV_TAG_9F03`
  Key to retrieve EMV tag 9F03
  `static final String`
  `EMV_TAG_9F07`
  Key to retrieve EMV tag 9F07
  `static final String`
  `EMV_TAG_9F09`
  Key to retrieve EMV tag 9F09
  `static final String`
  `EMV_TAG_9F0D`
  Key to retrieve EMV tag 9F0D
  `static final String`
  `EMV_TAG_9F0E`
  Key to retrieve EMV tag 9F0E
  `static final String`
  `EMV_TAG_9F0F`
  Key to retrieve EMV tag 9F0F
  `static final String`
  `EMV_TAG_9F10`
  Key to retrieve EMV tag 9F10
  `static final String`
  `EMV_TAG_9F12`
  Key to retrieve EMV tag 9F12
  `static final String`
  `EMV_TAG_9F1A`
  Key to retrieve EMV tag 9F1A
  `static final String`
  `EMV_TAG_9F1E`
  Key to retrieve EMV tag 9F1E
  `static final String`
  `EMV_TAG_9F21`
  Key to retrieve EMV tag 9F21
  `static final String`
  `EMV_TAG_9F26`
  Key to retrieve EMV tag 9F26
  `static final String`
  `EMV_TAG_9F27`
  Key to retrieve EMV tag 9F27
  `static final String`
  `EMV_TAG_9F33`
  Key to retrieve EMV tag 9F33
  `static final String`
  `EMV_TAG_9F34`
  Key to retrieve EMV tag 9F34
  `static final String`
  `EMV_TAG_9F35`
  Key to retrieve EMV tag 9F35
  `static final String`
  `EMV_TAG_9F36`
  Key to retrieve EMV tag 9F36
  `static final String`
  `EMV_TAG_9F37`
  Key to retrieve EMV tag 9F37
  `static final String`
  `EXPIRY_DATE`
  Key to retrieve the Expiry Date
  `static final String`
  `FOOTER`
  Key to retrieve the receipt footer
  `static final String`
  `GRATUITY_AMOUNT`
  Key to retrieve the gratuity amount.
  `static final String`
  `HEADER`
  Key to retrieve receipt header
  `static final String`
  `ISSUER_APPLICATION_DATA`
  Key to retrieve the Issuer Application Data
  `static final String`
  `ITEM_NUMBER`
  Key to retrieve the Item Number
  `static final String`
  `MASKED_CARD_NUMBER`
  Key to retrieve the masked card number
  `static final String`
  `MERCHANT_CITY_STATE_ZIP`
  Key to retrieve the merchant's city, state and ZIP code.
  `static final String`
  `MERCHANT_NAME_AND_ADDRESS`
  Key to retrieve merchant name and address
  `static final String`
  `MERCHANT_NUMBER`
  Key to retrieve the merchant number
  `static final String`
  `MERCHANT_PHONE_NUMBER`
  Key to retrieve the merchant's phone number.
  `static final String`
  `MERCHANT_STREET_ADDRESS`
  Key to retrieve the merchant's street address.
  `static final String`
  `PAN_SEQUENCE_NUMBER`
  Key to retrieve the pan sequence number
  `static final String`
  `PARTIAL_AMOUNT_AUTHORISED`
  Key to retrieve transaction partially approved amount.
  `static final String`
  `PAYMENT_TYPE`
  Key to retrieve the Payment Type
  `static final String`
  `RETENTION_REMINDER`
  Key to retrieve the retention reminder
  `static final String`
  `TERMINAL_ACTION_CODE_DEFAULT`
  Key to retrieve the default TAC
  `static final String`
  `TERMINAL_ACTION_CODE_DENIAL`
  Key to retrieve the denial TAC
  `static final String`
  `TERMINAL_ACTION_CODE_ONLINE`
  Key to retrieve the Online TAC
  `static final String`
  `TERMINAL_ID`
  Key to retrieve the Terminal ID
  `static final String`
  `TERMINAL_VERIFICATION_RESULT`
  Key to retrieve the Terminal Verification Result
  `static final String`
  `TRANSACTION_AVAILABLE_OFFLINE_SPENDING_AMOUNT`
  Key to retrieve transaction available offline spending amount (balance).
  `static final String`
  `TRANSACTION_CURRENCY`
  Key to retrieve the transaction currency receipt field.
  `static final String`
  `TRANSACTION_RESULT`
  Key to retrieve the transaction result
  `static final String`
  `TRANSACTION_SEQUENCE_COUNTER`
  Key to retrieve the Transaction Sequence Counter
  `static final String`
  `TRANSACTION_SOURCE`
  Key to retrieve the transaction source
  `static final String`
  `TRANSACTION_STATUS_INFORMATION`
  Key to retrieve the Transaction Status information
  `static final String`
  `TRANSACTION_TOTAL`
  Key to retrieve transaction total.
  `static final String`
  `TRANSACTION_TYPE`
  Key to retrieve the transaction type
  `static final String`
  `VALIDATION_CODE`
  Key to retrieve the Validation Code
  `static final String`
  `VOICE_REFERRAL`
  Key to retrieve the Voice Referral line

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReceiptFieldKey()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HEADER

    public static final String HEADER
    Key to retrieve receipt header
    See Also:
      - Constant Field Values

  - ### MERCHANT_NAME_AND_ADDRESS

    public static final String MERCHANT_NAME_AND_ADDRESS
    Key to retrieve merchant name and address
    See Also:
      - Constant Field Values

  - ### MERCHANT_STREET_ADDRESS

    public static final String MERCHANT_STREET_ADDRESS
    Key to retrieve the merchant's street address.
    See Also:
      - Constant Field Values

  - ### MERCHANT_CITY_STATE_ZIP

    public static final String MERCHANT_CITY_STATE_ZIP
    Key to retrieve the merchant's city, state and ZIP code.
    See Also:
      - Constant Field Values

  - ### MERCHANT_PHONE_NUMBER

    public static final String MERCHANT_PHONE_NUMBER
    Key to retrieve the merchant's phone number.
    See Also:
      - Constant Field Values

  - ### APPLICATION_ID

    public static final String APPLICATION_ID
    Key to retrieve the Application ID
    See Also:
      - Constant Field Values

  - ### APPLICATION_PREFERRED_NAME

    public static final String APPLICATION_PREFERRED_NAME
    Key to retrieve the application preferred name
    See Also:
      - Constant Field Values

  - ### MASKED_CARD_NUMBER

    public static final String MASKED_CARD_NUMBER
    Key to retrieve the masked card number
    See Also:
      - Constant Field Values

  - ### PAN_SEQUENCE_NUMBER

    public static final String PAN_SEQUENCE_NUMBER
    Key to retrieve the pan sequence number
    See Also:
      - Constant Field Values

  - ### TRANSACTION_SOURCE

    public static final String TRANSACTION_SOURCE
    Key to retrieve the transaction source
    See Also:
      - Constant Field Values

  - ### TRANSACTION_TYPE

    public static final String TRANSACTION_TYPE
    Key to retrieve the transaction type
    See Also:
      - Constant Field Values

  - ### GRATUITY_AMOUNT

    public static final String GRATUITY_AMOUNT
    Key to retrieve the gratuity amount. When printing, this field it should be displayed along side a currency symbol or code.
    See Also:
      - Constant Field Values

  - ### TRANSACTION_TOTAL

    public static final String TRANSACTION_TOTAL
    Key to retrieve transaction total. When printing, this field it should be displayed along side a currency symbol or code.
    See Also:
      - Constant Field Values

  - ### TRANSACTION_AVAILABLE_OFFLINE_SPENDING_AMOUNT

    public static final String TRANSACTION_AVAILABLE_OFFLINE_SPENDING_AMOUNT
    Key to retrieve transaction available offline spending amount (balance). When printing, this field it should be displayed along side a currency symbol or code. This field should only be printed on cardholder's receipt.
    See Also:
      - Constant Field Values

  - ### PARTIAL_AMOUNT_AUTHORISED

    public static final String PARTIAL_AMOUNT_AUTHORISED
    Key to retrieve transaction partially approved amount. When printing, this field it should be displayed alongside a currency symbol or code.
    See Also:
      - Constant Field Values

  - ### TRANSACTION_CURRENCY

    public static final String TRANSACTION_CURRENCY
    Key to retrieve the transaction currency receipt field. The value of this field is the 3 character code of ISO 4217.
    See Also:
      - Constant Field Values

  - ### CVM

    public static final String CVM
    Key to retrieve the CVM (Card Verification Method)
    See Also:
      - Constant Field Values

  - ### TRANSACTION_RESULT

    public static final String TRANSACTION_RESULT
    Key to retrieve the transaction result
    See Also:
      - Constant Field Values

  - ### AUTH_CODE

    public static final String AUTH_CODE
    Key to retrieve the auth code
    See Also:
      - Constant Field Values

  - ### CARD_EASE_REFERENCE

    public static final String CARD_EASE_REFERENCE
    Key to retrieve the card ease reference
    See Also:
      - Constant Field Values

  - ### MERCHANT_NUMBER

    public static final String MERCHANT_NUMBER
    Key to retrieve the merchant number
    See Also:
      - Constant Field Values

  - ### TERMINAL_ID

    public static final String TERMINAL_ID
    Key to retrieve the Terminal ID
    See Also:
      - Constant Field Values

  - ### DATE_TIME

    public static final String DATE_TIME
    Key to retrieve the date and time
    See Also:
      - Constant Field Values

  - ### RETENTION_REMINDER

    public static final String RETENTION_REMINDER
    Key to retrieve the retention reminder
    See Also:
      - Constant Field Values

  - ### FOOTER

    public static final String FOOTER
    Key to retrieve the receipt footer
    See Also:
      - Constant Field Values

  - ### AUTH_MODE

    public static final String AUTH_MODE
    Key to retrieve the Authorisation Mode
    See Also:
      - Constant Field Values

  - ### TERMINAL_VERIFICATION_RESULT

    public static final String TERMINAL_VERIFICATION_RESULT
    Key to retrieve the Terminal Verification Result
    See Also:
      - Constant Field Values

  - ### ISSUER_APPLICATION_DATA

    public static final String ISSUER_APPLICATION_DATA
    Key to retrieve the Issuer Application Data
    See Also:
      - Constant Field Values

  - ### TRANSACTION_STATUS_INFORMATION

    public static final String TRANSACTION_STATUS_INFORMATION
    Key to retrieve the Transaction Status information
    See Also:
      - Constant Field Values

  - ### AUTHORISATION_RESPONSE_CODE

    public static final String AUTHORISATION_RESPONSE_CODE
    Key to retrieve the Authorisation Response Code
    See Also:
      - Constant Field Values

  - ### APPLICATION_TRANSACTION_COUNTER

    public static final String APPLICATION_TRANSACTION_COUNTER
    Key to retrieve the Application Transaction Counter
    See Also:
      - Constant Field Values

  - ### APPLICATION_CRYPTOGRAM

    public static final String APPLICATION_CRYPTOGRAM
    Key to retrieve the Application Cryptogram
    See Also:
      - Constant Field Values

  - ### CARD_SCHEME

    public static final String CARD_SCHEME
    Key to retrieve the Card Scheme
    See Also:
      - Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION
    Key to retrieve the Description line
    See Also:
      - Constant Field Values

  - ### EXPIRY_DATE

    public static final String EXPIRY_DATE
    Key to retrieve the Expiry Date
    See Also:
      - Constant Field Values

  - ### VALIDATION_CODE

    public static final String VALIDATION_CODE
    Key to retrieve the Validation Code
    See Also:
      - Constant Field Values

  - ### ACQUIRER_TRANSACTION_REF

    public static final String ACQUIRER_TRANSACTION_REF
    Key to retrieve the acquirer Transaction Reference
    See Also:
      - Constant Field Values

  - ### PAYMENT_TYPE

    public static final String PAYMENT_TYPE
    Key to retrieve the Payment Type
    See Also:
      - Constant Field Values

  - ### BATCH_NUMBER

    public static final String BATCH_NUMBER
    Key to retrieve the Batch Number
    See Also:
      - Constant Field Values

  - ### ITEM_NUMBER

    public static final String ITEM_NUMBER
    Key to retrieve the Item Number
    See Also:
      - Constant Field Values

  - ### VOICE_REFERRAL

    public static final String VOICE_REFERRAL
    Key to retrieve the Voice Referral line
    See Also:
      - Constant Field Values

  - ### TRANSACTION_SEQUENCE_COUNTER

    public static final String TRANSACTION_SEQUENCE_COUNTER
    Key to retrieve the Transaction Sequence Counter
    See Also:
      - Constant Field Values

  - ### AGREEMENT

    public static final String AGREEMENT
    Key to retrieve the Agreement
    See Also:
      - Constant Field Values

  - ### EMV_TAG_5F2A

    public static final String EMV_TAG_5F2A
    Key to retrieve EMV tag 5F2A
    See Also:
      - Constant Field Values

  - ### EMV_TAG_82

    public static final String EMV_TAG_82
    Key to retrieve EMV tag 82
    See Also:
      - Constant Field Values

  - ### EMV_TAG_84

    public static final String EMV_TAG_84
    Key to retrieve EMV tag 84
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9A

    public static final String EMV_TAG_9A
    Key to retrieve EMV tag 9A
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9C

    public static final String EMV_TAG_9C
    Key to retrieve EMV tag 9C
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F1A

    public static final String EMV_TAG_9F1A
    Key to retrieve EMV tag 9F1A
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F1E

    public static final String EMV_TAG_9F1E
    Key to retrieve EMV tag 9F1E
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F02

    public static final String EMV_TAG_9F02
    Key to retrieve EMV tag 9F02
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F03

    public static final String EMV_TAG_9F03
    Key to retrieve EMV tag 9F03
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F09

    public static final String EMV_TAG_9F09
    Key to retrieve EMV tag 9F09
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F10

    public static final String EMV_TAG_9F10
    Key to retrieve EMV tag 9F10
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F26

    public static final String EMV_TAG_9F26
    Key to retrieve EMV tag 9F26
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F27

    public static final String EMV_TAG_9F27
    Key to retrieve EMV tag 9F27
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F33

    public static final String EMV_TAG_9F33
    Key to retrieve EMV tag 9F33
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F34

    public static final String EMV_TAG_9F34
    Key to retrieve EMV tag 9F34
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F35

    public static final String EMV_TAG_9F35
    Key to retrieve EMV tag 9F35
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F36

    public static final String EMV_TAG_9F36
    Key to retrieve EMV tag 9F36
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F37

    public static final String EMV_TAG_9F37
    Key to retrieve EMV tag 9F37
    See Also:
      - Constant Field Values

  - ### EMV_TAG_95

    public static final String EMV_TAG_95
    Key to retrieve EMV tag 95
    See Also:
      - Constant Field Values

  - ### EMV_TAG_50

    public static final String EMV_TAG_50
    Key to retrieve EMV tag 50
    See Also:
      - Constant Field Values

  - ### EMV_TAG_5A

    public static final String EMV_TAG_5A
    Key to retrieve EMV tag 5A
    See Also:
      - Constant Field Values

  - ### EMV_TAG_5F34

    public static final String EMV_TAG_5F34
    Key to retrieve EMV tag 5F34
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F21

    public static final String EMV_TAG_9F21
    Key to retrieve EMV tag 9F21
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F07

    public static final String EMV_TAG_9F07
    Key to retrieve EMV tag 9F07
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F0D

    public static final String EMV_TAG_9F0D
    Key to retrieve EMV tag 9F0D
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F0E

    public static final String EMV_TAG_9F0E
    Key to retrieve EMV tag 9F0E
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F0F

    public static final String EMV_TAG_9F0F
    Key to retrieve EMV tag 9F0F
    See Also:
      - Constant Field Values

  - ### EMV_TAG_9F12

    public static final String EMV_TAG_9F12
    Key to retrieve EMV tag 9F12
    See Also:
      - Constant Field Values

  - ### TERMINAL_ACTION_CODE_ONLINE

    public static final String TERMINAL_ACTION_CODE_ONLINE
    Key to retrieve the Online TAC
    See Also:
      - Constant Field Values

  - ### TERMINAL_ACTION_CODE_DENIAL

    public static final String TERMINAL_ACTION_CODE_DENIAL
    Key to retrieve the denial TAC
    See Also:
      - Constant Field Values

  - ### TERMINAL_ACTION_CODE_DEFAULT

    public static final String TERMINAL_ACTION_CODE_DEFAULT
    Key to retrieve the default TAC
    See Also:
      - Constant Field Values

  - ### DECLINE_CODE

    public static final String DECLINE_CODE
    Key to retrieve the DECLINE CODE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReceiptFieldKey

    public ReceiptFieldKey()